[package]
name = "opldb"
version = "0.1.0"
authors = ["Sean Stangl <sean.stangl@gmail.com>"]
description = "The OpenPowerlifting in-memory database."
license = "AGPL-3.0-or-later"
edition = "2018"

[dependencies]
arrayvec = "0.7"
coefficients = { version = "0.1", path = "../coefficients/" }
opltypes = { version = "0.1", path = "../opltypes/" }
csv = "1.1"
fxhash = "0.2.1"
itertools = "0.10"
serde = "1.0"
serde_derive = "1.0"
smartstring = { version = "0.2", features = ["serde"] }
strum = "0.21"
strum_macros = "0.21"

[dev-dependencies]
criterion = { version = "0.3", features = ["html_reports"] }

[[bench]]
name = "loading"
harness = false

[[bench]]
name = "queries"
harness = false
